1
0
mirror of git://projects.qi-hardware.com/openwrt-xburst.git synced 2024-11-24 00:52:27 +02:00

copy data folder from history branch

Signed-off-by: Xiangfu Liu <xiangfu@sharism.cc>
This commit is contained in:
Xiangfu Liu 2010-11-01 06:33:02 -08:00
parent bc937d1dfc
commit 704f204876
26 changed files with 796 additions and 0 deletions

View File

@ -0,0 +1,306 @@
#
# This file must be copied to .config in the OpenWrt root folder,
# then run: yes "" | make oldconfig > /dev/null
#
CONFIG_TARGET_xburst=y
CONFIG_TARGET_xburst_qi_lb60=y
CONFIG_TARGET_ROOTFS_TARGZ=y
# CONFIG_TARGET_ROOTFS_JFFS2 is not set
CONFIG_TARGET_ROOTFS_UBIFS=y
# CONFIG_BUILD_PATENTED is not set
CONFIG_PACKAGE_uboot-xburst-qi_lb60=y
CONFIG_IB=y
CONFIG_SDK=y
CONFIG_MAKE_TOOLCHAIN=y
CONFIG_BUSYBOX_CONFIG_FEATURE_EDITING_SAVEHISTORY=y
CONFIG_BUSYBOX_CONFIG_FEATURE_VOLUMEID_JFS=y
CONFIG_BUSYBOX_CONFIG_FEATURE_VOLUMEID_LINUXRAID=y
CONFIG_BUSYBOX_CONFIG_FEATURE_VOLUMEID_CRAMFS=y
CONFIG_BUSYBOX_CONFIG_FEATURE_VOLUMEID_ROMFS=y
CONFIG_BUSYBOX_CONFIG_FEATURE_VOLUMEID_SYSV=y
CONFIG_BUSYBOX_CONFIG_FEATURE_VOLUMEID_OCFS2=y
CONFIG_BUSYBOX_CONFIG_HTTPD=y
CONFIG_BUSYBOX_CONFIG_FEATURE_HTTPD_RANGES=y
CONFIG_BUSYBOX_CONFIG_FEATURE_HTTPD_BASIC_AUTH=y
CONFIG_BUSYBOX_CONFIG_FEATURE_HTTPD_AUTH_MD5=y
CONFIG_BUSYBOX_CONFIG_FEATURE_HTTPD_CGI=y
CONFIG_BUSYBOX_CONFIG_FEATURE_HTTPD_CONFIG_WITH_SCRIPT_INTERPR=y
CONFIG_BUSYBOX_CONFIG_FEATURE_HTTPD_SET_REMOTE_PORT_TO_ENV=y
CONFIG_BUSYBOX_CONFIG_FEATURE_HTTPD_ENCODE_URL_STR=y
CONFIG_BUSYBOX_CONFIG_FEATURE_HTTPD_ERROR_PAGES=y
CONFIG_BUSYBOX_CONFIG_FEATURE_HTTPD_PROXY=y
CONFIG_BUSYBOX_CONFIG_FEATURE_ASSUME_UNICODE=y
CONFIG_BUSYBOX_CONFIG_FEATURE_VI_8BIT=y
#
# system
#
CONFIG_PACKAGE_block-hotplug=y
CONFIG_PACKAGE_block-mount=y
CONFIG_PACKAGE_libpthread=y
CONFIG_PACKAGE_librt=y
CONFIG_PACKAGE_libstdcpp=y
CONFIG_PACKAGE_ucitrigger=y
CONFIG_PACKAGE_wireless-tools=y
CONFIG_PACKAGE_kmod-fuse=y
CONFIG_PACKAGE_kmod-tun=y
CONFIG_PACKAGE_kmod-ks7010=y
CONFIG_PACKAGE_nightsky=y
CONFIG_PACKAGE_htop=y
CONFIG_PACKAGE_fetchmail=y
CONFIG_PACKAGE_mutt=y
CONFIG_PACKAGE_gmenu2x=y
CONFIG_PACKAGE_gtkhtml=y
CONFIG_PACKAGE_gtkperf=y
CONFIG_PACKAGE_tangogps=y
CONFIG_PACKAGE_gnome-icon-theme=y
CONFIG_PACKAGE_hicolor-icon-theme=y
CONFIG_PACKAGE_dejavu-fonts-ttf=y
CONFIG_PACKAGE_wqy-microhei=y
CONFIG_PACKAGE_fontconfig=y
#
# gui
#
CONFIG_PACKAGE_gtk2=y
CONFIG_PACKAGE_gtkmm=y
CONFIG_PACKAGE_libxfce4util=y
CONFIG_PACKAGE_qt4=y
CONFIG_QT4_WS_QWS=y
CONFIG_PACKAGE_qt4-dbus=y
CONFIG_PACKAGE_qt4-drivers-gfx-directfb=y
CONFIG_PACKAGE_qt4-drivers-gfx-linuxfb=y
CONFIG_PACKAGE_qt4-drivers-kbd-linuxinput=y
CONFIG_PACKAGE_qt4-drivers-mouse-pcmousedriver=y
CONFIG_PACKAGE_qt4-drivers-mouse-tpmousedriver=y
CONFIG_PACKAGE_qt4-drivers-mouse-tslibmousedriver=y
CONFIG_PACKAGE_qt4-gui=y
CONFIG_PACKAGE_qt4-mysql=y
CONFIG_PACKAGE_qt4-network=y
CONFIG_PACKAGE_qt4-sqlite=y
CONFIG_PACKAGE_qt4-xml=y
#
CONFIG_PACKAGE_atk=y
CONFIG_PACKAGE_cairo=y
CONFIG_PACKAGE_cairomm=y
CONFIG_PACKAGE_libICE=y
CONFIG_PACKAGE_libSM=y
CONFIG_PACKAGE_libglade=y
CONFIG_PACKAGE_libxfconf=y
CONFIG_PACKAGE_orbit2=y
CONFIG_PACKAGE_pango=y
CONFIG_PACKAGE_pangomm=y
CONFIG_PACKAGE_pixman=y
CONFIG_PACKAGE_tslib=y
CONFIG_PACKAGE_dgclock=y
CONFIG_PACKAGE_lftp=y
CONFIG_PACKAGE_centerim=y
CONFIG_PACKAGE_openvpn=y
CONFIG_PACKAGE_elinks=y
CONFIG_PACKAGE_climm=y
CONFIG_PACKAGE_curl=y
CONFIG_PACKAGE_lynx=y
CONFIG_PACKAGE_mcabber=y
CONFIG_PACKAGE_rsync=y
CONFIG_PACKAGE_surfraw=y
CONFIG_PACKAGE_tcpdump=y
CONFIG_PACKAGE_wpa-supplicant=y
CONFIG_WPA_SUPPLICANT_INTERNAL=y
CONFIG_PACKAGE_libblkid=y
CONFIG_PACKAGE_libext2fs=y
CONFIG_PACKAGE_libuuid=y
CONFIG_PACKAGE_libgnutls=y
CONFIG_PACKAGE_libgnutls-extra=y
CONFIG_PACKAGE_libgnutls-openssl=y
CONFIG_PACKAGE_libopenssl=y
CONFIG_PACKAGE_libsqlite3=y
CONFIG_PACKAGE_alsa-lib=y
CONFIG_PACKAGE_directfb=y
CONFIG_PACKAGE_glib1=y
CONFIG_PACKAGE_glib2=y
CONFIG_PACKAGE_glibmm=y
CONFIG_PACKAGE_gpgme=y
CONFIG_PACKAGE_libIDL2=y
CONFIG_PACKAGE_libassuan=y
CONFIG_PACKAGE_libcharset=y
CONFIG_PACKAGE_libcurl=y
CONFIG_PACKAGE_libdbus=y
CONFIG_PACKAGE_libdbus-glib=y
CONFIG_PACKAGE_libelf=y
CONFIG_PACKAGE_libevent=y
CONFIG_PACKAGE_libexif=y
CONFIG_PACKAGE_libexpat=y
CONFIG_PACKAGE_libffi=y
CONFIG_PACKAGE_libfreetype=y
CONFIG_PACKAGE_libgconf2=y
CONFIG_PACKAGE_libgcrypt=y
CONFIG_PACKAGE_libgmp=y
CONFIG_PACKAGE_libgpg-error=y
CONFIG_PACKAGE_libgsm=y
CONFIG_PACKAGE_libiconv=y
CONFIG_PACKAGE_libintl=y
CONFIG_PACKAGE_libjpeg=y
CONFIG_PACKAGE_libltdl=y
CONFIG_PACKAGE_liblua=y
CONFIG_PACKAGE_liblzo=y
CONFIG_PACKAGE_libmagic=y
CONFIG_PACKAGE_libmikmod=y
CONFIG_PACKAGE_libmpcdec=y
CONFIG_PACKAGE_libmysqlclient=y
CONFIG_PACKAGE_libncurses=y
CONFIG_PACKAGE_libogg=y
CONFIG_PACKAGE_libpcap=y
CONFIG_PACKAGE_libpcre=y
CONFIG_PACKAGE_libpng=y
CONFIG_PACKAGE_libpopt=y
CONFIG_PACKAGE_libreadline=y
CONFIG_PACKAGE_libruby=y
CONFIG_PACKAGE_libsdl=y
CONFIG_PACKAGE_libsdl-gfx=y
CONFIG_PACKAGE_libsdl-image=y
CONFIG_PACKAGE_libsdl-mixer=y
CONFIG_PACKAGE_libsdl-ttf=y
CONFIG_PACKAGE_libsigcxx=y
CONFIG_PACKAGE_libtiff=y
CONFIG_PACKAGE_libuci-lua=y
CONFIG_PACKAGE_libvorbis=y
CONFIG_PACKAGE_libvorbisidec=y
CONFIG_PACKAGE_libxml2=y
CONFIG_PACKAGE_tntnet=y
CONFIG_PACKAGE_uclibcxx=y
CONFIG_PACKAGE_zlib=y
#
# games
#
CONFIG_PACKAGE_backgammon=y
CONFIG_PACKAGE_primes=y
CONFIG_PACKAGE_tetris=y
CONFIG_PACKAGE_worm=y
CONFIG_PACKAGE_freedroid=y
CONFIG_PACKAGE_frotz=y
CONFIG_PACKAGE_gnuchess=y
CONFIG_PACKAGE_libphysfs=y
CONFIG_PACKAGE_nlove=y
#
CONFIG_PACKAGE_GraphicsMagick=y
CONFIG_PACKAGE_GraphicsMagick-jpeg=y
CONFIG_PACKAGE_gmu=y
CONFIG_PACKAGE_joe=y
CONFIG_PACKAGE_nano=y
CONFIG_PACKAGE_ne=y
CONFIG_PACKAGE_joe-full=y
CONFIG_PACKAGE_vim-full=y
CONFIG_PACKAGE_badblocks=y
CONFIG_PACKAGE_blkid=y
CONFIG_PACKAGE_disktype=y
CONFIG_PACKAGE_e2fsprogs=y
CONFIG_PACKAGE_mkdosfs=y
CONFIG_PACKAGE_mount.ntfs-3g=y
CONFIG_PACKAGE_ntfs-3g=y
CONFIG_PACKAGE_uuidgen=y
#
CONFIG_PACKAGE_fbsize=y
CONFIG_PACKAGE_fbterm=y
CONFIG_PACKAGE_jfbterm=y
CONFIG_PACKAGE_minicom=y
CONFIG_PACKAGE_unzip=y
CONFIG_PACKAGE_zip=y
CONFIG_PACKAGE_cfdisk=y
CONFIG_PACKAGE_fdisk=y
CONFIG_PACKAGE_mc=y
CONFIG_PACKAGE_NanoMap=y
CONFIG_PACKAGE_alsa-utils=y
CONFIG_PACKAGE_at=y
CONFIG_PACKAGE_bash=y
CONFIG_PACKAGE_bc=y
CONFIG_PACKAGE_bzip2=y
CONFIG_PACKAGE_calcurse=y
CONFIG_PACKAGE_catdoc=y
CONFIG_PACKAGE_cxxtools=y
CONFIG_PACKAGE_dbus=y
CONFIG_PACKAGE_dbus-launch-x=y
CONFIG_PACKAGE_dialog=y
CONFIG_PACKAGE_fbgrab=y
CONFIG_PACKAGE_file=y
CONFIG_PACKAGE_fn-handle=y
CONFIG_PACKAGE_gawk=y
CONFIG_PACKAGE_gcal=y
CONFIG_PACKAGE_gdbserver=y
CONFIG_PACKAGE_gnupg=y
CONFIG_PACKAGE_gpioctl=y
CONFIG_PACKAGE_gsm-utils=y
CONFIG_PACKAGE_hnb=y
CONFIG_PACKAGE_i2c-tools=y
CONFIG_PACKAGE_iconv=y
CONFIG_PACKAGE_imgv=y
CONFIG_PACKAGE_jpeg-tools=y
CONFIG_PACKAGE_kbd=y
CONFIG_PACKAGE_kbd-console-fonts=y
CONFIG_PACKAGE_kexec-tools=y
CONFIG_PACKAGE_picoc=y
CONFIG_PACKAGE_jbig2dec=y
CONFIG_PACKAGE_openjpeg=y
CONFIG_PACKAGE_unifont=y
#
CONFIG_KEXEC_TOOLS_TARGET_NAME="mipsel"
CONFIG_PACKAGE_lsof=y
CONFIG_PACKAGE_macchanger=y
CONFIG_PACKAGE_mandoc=y
CONFIG_PACKAGE_mathomatic=y
CONFIG_PACKAGE_mtd-utils=y
CONFIG_PACKAGE_o3read=y
CONFIG_PACKAGE_odt2txt=y
CONFIG_PACKAGE_poke=y
CONFIG_PACKAGE_powertop=y
CONFIG_PACKAGE_pwgen=y
CONFIG_PACKAGE_quickcalc=y
CONFIG_PACKAGE_remind=y
CONFIG_PACKAGE_sc=y
CONFIG_PACKAGE_screen=y
CONFIG_PACKAGE_sdcv=y
CONFIG_PACKAGE_sed=y
CONFIG_PACKAGE_setfont2=y
CONFIG_PACKAGE_snownews=y
CONFIG_PACKAGE_stardict=y
CONFIG_PACKAGE_stardict-dic-en-en=y
CONFIG_PACKAGE_strace=y
CONFIG_PACKAGE_tmux=y
CONFIG_PACKAGE_uboot-envtools=y
CONFIG_PACKAGE_units=y
CONFIG_PACKAGE_xz=y
CONFIG_PACKAGE_diffutils=y
CONFIG_PACKAGE_make=y
CONFIG_PACKAGE_patch=y
CONFIG_PACKAGE_mpc=y
CONFIG_PACKAGE_sox=y
#
CONFIG_PACKAGE_jamvm=y
CONFIG_PACKAGE_lua=y
CONFIG_PACKAGE_php5=y
CONFIG_PACKAGE_php5-cli=y
CONFIG_PACKAGE_perl=y
CONFIG_PACKAGE_pygame=y
CONFIG_PACKAGE_python=y
CONFIG_PACKAGE_python-mini=y
CONFIG_PACKAGE_ruby=y
CONFIG_PACKAGE_gforth=y
CONFIG_PACKAGE_guile=y
CONFIG_PACKAGE_ben-cyrillic=m
CONFIG_PACKAGE_cmdpad=y
CONFIG_PACKAGE_ghostscript=y
CONFIG_PACKAGE_hwclock=y
CONFIG_PACKAGE_io=y
CONFIG_PACKAGE_mupdf-tools=y
CONFIG_PACKAGE_binutils=y
CONFIG_PACKAGE_gcc-mips=y
CONFIG_PACKAGE_libbfd=y
CONFIG_PACKAGE_objdump=y
CONFIG_PACKAGE_erlang=y
CONFIG_PACKAGE_jbofihe=y
CONFIG_PACKAGE_lojban-wordlists=y
CONFIG_PACKAGE_makfa=y
CONFIG_PACKAGE_fbgs=y
CONFIG_PACKAGE_fbi=y
CONFIG_PACKAGE_gnuplot=y
CONFIG_PACKAGE_nupdf=y

View File

@ -0,0 +1,12 @@
#
# This file must be copied to .config in the OpenWrt root folder,
# then run: yes "" | make oldconfig > /dev/null
#
CONFIG_TARGET_xburst=y
CONFIG_TARGET_xburst_qi_lb60=y
# CONFIG_TARGET_ROOTFS_TARGZ is not set
# CONFIG_TARGET_ROOTFS_JFFS2 is not set
CONFIG_TARGET_ROOTFS_UBIFS=y
# CONFIG_BUILD_PATENTED is not set
CONFIG_PACKAGE_uboot-xburst-qi_lb60=y

View File

@ -0,0 +1,19 @@
#
# This file must be copied to .config in the OpenWrt root folder,
# then run: yes "" | make oldconfig > /dev/null
#
# TBD:
# this config file does not work on tracking_trunk branch:
# some patch not goto the trunk branch.
# add some packages, kernel give different error message!
CONFIG_TARGET_xburst=y
CONFIG_TARGET_xburst_qi_lb60=y
# CONFIG_TARGET_ROOTFS_TARGZ is not set
# CONFIG_TARGET_ROOTFS_JFFS2 is not set
CONFIG_TARGET_ROOTFS_INITRAMFS=y
CONFIG_TARGET_INITRAMFS_COMPRESSION_LZMA=y
# CONFIG_BUILD_PATENTED is not set
CONFIG_PACKAGE_mtd-utils=y

View File

@ -0,0 +1,13 @@
the "config.xbboot" is for build image that used by "xbboot"
this "config.xbboot" will enable CONFIG_TARGET_ROOTFS_INITRAMFS, and
only select basic pakcages.
1. at the root of openwrt folder:
$ cp data/qi_lb60/conf/config.xbboot .config
$ make
2. upload the image to Ben NanoNote
boot Ben NanoNote to USBBOOT mode.
$ sudo xbboot -u 0x80600000 bin/xburst/openwrt-xburst-qi_lb60-zImage.bin
then the NanoNote will boot. setup a password for ssh or use telnet to login NanoNote.

View File

@ -0,0 +1,69 @@
state.LB60 {
control.1 {
comment.access 'read write'
comment.type INTEGER
comment.count 1
comment.range '0 - 3'
iface MIXER
name 'Master Playback Volume'
value 2
}
control.2 {
comment.access 'read write'
comment.type INTEGER
comment.count 1
comment.range '0 - 31'
iface MIXER
name 'Capture Volume'
value 23
}
control.3 {
comment.access 'read write'
comment.type BOOLEAN
comment.count 1
iface MIXER
name 'Master Playback Switch'
value true
}
control.4 {
comment.access 'read write'
comment.type INTEGER
comment.count 1
comment.range '0 - 3'
iface MIXER
name 'Mic Capture Volume'
value 0
}
control.5 {
comment.access 'read write'
comment.type BOOLEAN
comment.count 1
iface MIXER
name 'Line Capture Switch'
value false
}
control.6 {
comment.access 'read write'
comment.type BOOLEAN
comment.count 1
iface MIXER
name 'Mic Capture Switch'
value false
}
control.7 {
comment.access 'read write'
comment.type BOOLEAN
comment.count 1
iface MIXER
name 'Output Mixer Bypass Switch'
value false
}
control.8 {
comment.access 'read write'
comment.type BOOLEAN
comment.count 1
iface MIXER
name 'Output Mixer DAC Switch'
value true
}
}

View File

@ -0,0 +1,9 @@
___|___ _______
/|\ | | |.---.-.-----.-----. sharism.cc - the
/_|_\ | || _ | | _ | copyleft company
| |__|____||___._|__|__|_____|
Qi Hardware _______ __
freedom redefined | | |.-----.| |_.-----.
| || _ || _| -__|
This is the beginning. |__|____||_____||____|_____|
------------------------------ version 2010-09-06 --

View File

@ -0,0 +1 @@
no-deinit-check

View File

@ -0,0 +1,11 @@
# Configuration file for fw_(printenv/saveenv) utility.
# Up to two entries are valid, in this case the redundant
# environment sector is assumed present.
# Notice, that the "Number of sectors" is ignored on NOR.
# MTD device name Device offset Env. size Flash sector size Number of sectors
/dev/mtd0 0x100000 0x1000 0x80000
/dev/mtd0 0x180000 0x1000 0x80000
# NAND example
#/dev/mtd0 0x4000 0x4000 0x20000 2

View File

@ -0,0 +1,7 @@
#!/bin/sh /etc/rc.common
# Copyright (C) 2006 OpenWrt.org
START=99
boot() {
SDL_NOMOUSE=1 start-stop-daemon -S -b -x /usr/bin/gmenu2x
}

View File

@ -0,0 +1,5 @@
# 8Bits supports.
set meta-flag on
set convert-meta off
set input-meta on
set output-meta on

View File

@ -0,0 +1,18 @@
#!/bin/sh
[ -f /etc/banner ] && cat /etc/banner
export PATH=/bin:/sbin:/usr/bin:/usr/sbin
export HOME=$(grep -e "^${USER:-root}:" /etc/passwd | cut -d ":" -f 6)
export HOME=${HOME:-/root}
export PS1='\u@\h:\w\$ '
export SDL_NOMOUSE=1
export SDL_VIDEODRIVER=fbcon
[ -x /bin/more ] || alias more=less
[ -x /usr/bin/vim ] && alias vi=vim || alias vim=vi
[ -z "$KSH_VERSION" -o \! -s /etc/mkshrc ] || . /etc/mkshrc
[ -x /sbin/arp ] || arp() { cat /proc/net/arp; }
[ -z /bin/ldd ] || ldd() { LD_TRACE_LOADED_OBJECTS=1 $*; }

View File

@ -0,0 +1,3 @@
the Music file [Creative_Commons_-_Remix_Culture.ogg]
can found at: http://mirrors.creativecommons.org/reticulum_rex/
download at : http://mirrors.creativecommons.org/reticulum_rex/Creative_Commons_-_Remix_Culture.ogg

View File

@ -0,0 +1,4 @@
title=DGClock
icon=skin:icons/dgclock.png
exec=/usr/bin/dgclock
wrapper=true

View File

@ -0,0 +1,4 @@
title=GMU
icon=skin:icons/gmu.png
exec=/usr/bin/gmu
wrapper=true

View File

@ -0,0 +1,5 @@
title=NanoMap
icon=skin:icons/nanomap.png
exec=/usr/bin/NanoMap
params=-qws
wrapper=true

View File

@ -0,0 +1,4 @@
title=StarDict
icon=skin:icons/stardict.png
exec=/usr/bin/stardict
wrapper=true

Binary file not shown.

After

Width:  |  Height:  |  Size: 2.3 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 2.7 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 2.4 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.2 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 2.4 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.5 KiB

Binary file not shown.

After

Width:  |  Height:  |  Size: 1.2 KiB

132
data/qi_lb60/scripts/build Executable file
View File

@ -0,0 +1,132 @@
#!/bin/bash
BASE_DIR="xburst"
LOG="${BASE_DIR}/LOG"
BUILD_LOG="${BASE_DIR}/BUILD_LOG"
DATE=$(date "+%Y-%m-%d")
TIME=$(date "+%H-%M-%S")
DATE_TIME="${DATE}_${TIME}"
FEEDS_CONF="feeds.conf.default"
test -f "feeds.conf" && FEEDS_CONF="feeds.conf"
if [ "${0}" != "./scripts/build" ]; then
echo "Please call me that way: ./scripts/build"
echo " - out of the main directory"
exit 1
fi
if [ ! -f ".config" ]; then
echo "OpenWrt didn't get configured yet."
exit 1
fi
if [ -f "config" ]; then
echo "file <config> exists."
echo "That means normally, a previous build failed"
echo "Please examine the situation"
exit 1
fi
echo "This script will move previous builds to bak/!"
echo "This script will compile base on last commit"
echo " your modifications will backup by git stash"
echo " those modifications will apply again after compile"
echo "This script comes without any kind of warranty!"
echo " "
echo "Are you brave, dude? [NO/yes]"
read brave
echo " "
if [ "${brave}" != "yes" ]; then
exit 1
fi
echo "cleaning up toolchain..."
mkdir bak 2>/dev/null
BAK="build_dir staging_dir tmp bin .config.old feeds xburst config"
for bak in $BAK; do
mv "${bak}" "bak/${bak}_${DATE_TIME}" 2> /dev/null && echo "backed up <${bak}>"
done
rm -rf package/feeds/*
mv .config config
mkdir xburst
echo "updating git repo..."
git stash
git checkout tracking_backfire
git pull > /dev/null
if [ "$?" != "0" ]; then
echo "ERROR: updating openwrt-xburst failed"
exit 1
fi
echo "updating feeds..."
scripts/feeds update -a > /dev/null 2>&1
if [ "$?" != "0" ]; then
echo "ERROR: updating feeds failed"
exit 1
fi
echo "installing feeds..."
scripts/feeds install -a > /dev/null 2>&1
if [ "$?" != "0" ]; then
echo "ERROR: installing feeds failed"
exit 1
fi
echo "getting version numbers of used repositories..."
feeds="$(cat "${FEEDS_CONF}" | grep -v -E "^#")"
VERSIONS_FILE="xburst/VERSIONS"
echo "# base :: 'openwrt' [scm-protocol] [revision] [source] [branch]" > ${VERSIONS_FILE}
tmp=($(git show-ref | head -n 1))
rev=${tmp[0]}
echo "openwrt git ${rev} git://projects.qi-hardware.com/openwrt-xburst.git tracking_backfire" >> ${VERSIONS_FILE}
echo "# feeds :: [feedname] [scm-protocol] [revision]" >> ${VERSIONS_FILE}
IFS=$'\n'
for feed in $feeds; do
IFS=' ' arr=(${feed:4})
proto=${arr[0]}
dir=${arr[1]}
url=${arr[2]}
if [ "$proto" = "svn" ]; then
cd feeds/${arr[1]} && tmp=($(svn info | grep -E "^Revision")) && cd ../../
rev=${tmp[1]}
fi
if [ "$proto" = "git" ]; then
cd feeds/${arr[1]} && tmp=($(git show-ref | head -n 1)) && cd ../../
rev=${tmp[0]}
fi
echo "${dir} ${proto} ${rev}" >> ${VERSIONS_FILE}
done
mkdir -p files/etc
echo ${DATE} > files/etc/VERSION
mv config .config
yes "" | make oldconfig
echo "starting compiling - this may take several hours..."
time make V=99 > xburst/BUILD_LOG 2>&1
if [ "$?" != "0" ]; then
echo "ERROR: Build failed!"
echo "Please refer to the log file"
exit 1
fi
git stash pop
cp .config xburst/config
cp bin/xburst/* xburst/ 2>/dev/null
mkdir xburst/files
cp -a files/* xburst/files/
echo "DONE :)"

View File

@ -0,0 +1,174 @@
#!/bin/bash
VERSION="latest"
# use 'http' to download and flash images, use 'file' to flash images present in the <WORKING_DIR>
PROTOCOL="http"
# working directory
#WORKING_DIR="/tmp/NanoNote/${VERSION}"
WORKING_DIR="${HOME}/.qi/nanonote/ben/${VERSION}"
# where the verbose output goes to
LOG_FILE="${WORKING_DIR}/log.txt"
# URL to images ($URL/$VERSION/$[images])
#BASE_URL_HTTP="http://downloads.qi-hardware.com/software/images/Ben_NanoNote_2GB_NAND"
BASE_URL_HTTP="http://downloads.qi-hardware.com/software/images/NanoNote/Ben"
# names of images
LOADER="openwrt-xburst-qi_lb60-u-boot.bin"
#KERNEL="openwrt-xburst-uImage.bin"
KERNEL="openwrt-xburst-qi_lb60-uImage.bin"
#ROOTFS="openwrt-xburst-rootfs.ubi"
ROOTFS="openwrt-xburst-qi_lb60-root.ubi"
###############
# version of script
__VERSION__="2.1.1"
# options for reflash bootloader, kernel or rootfs
B="TRUE"
K="TRUE"
R="TRUE"
while getopts d:l:bkr OPTIONS
do
case $OPTIONS in
d)
VERSION=$OPTARG # override version by first argument if passed
B="TRUE"
K="TRUE"
R="TRUE"
;;
l)
WORKING_DIR=$OPTARG
VERSION=
PROTOCOL="file"
B="TRUE"
K="TRUE"
R="TRUE"
;;
*)
echo "\
Usage: $0 [-d <version>] [-l <path to local images>] [-b] [-k] [-r] [-h] [-v]
without any arguments, I will download and flash the latest official images
(includes bootloader, kernel and rootfs)
-d <> I will download and flash a specific version of official images
(includes bootloader, kernel and rootfs)
-l <> I will flash images present in <arg>
(includes bootloader, kernel and rootfs -
missing files will be skipped)
-h you already found out
reflash script for qi-hardware Ben NanoNote
written by: Mirko Vogt (mirko.vogt@sharism.cc)
Xiangfu Liu (xiangfu@sharism.cc)
version: ${__VERSION__}
Please report bugs to developer@lists.qi-hardware.com"
exit 1
;;
esac
done
# if no arguments were given
if [ "$#" == "0" ]; then
B="TRUE"
K="TRUE"
R="TRUE"
fi
# create working directory
mkdir -p ${WORKING_DIR}
date > "${LOG_FILE}" # purge logfile if exists
function log() {
echo -e "$1"
echo -e "$1" >> "${LOG_FILE}"
}
function abort() {
log "==="
log "fatal error occured - ABORTED"
log "==="
log "$1"
log "==="
log "Before reporting this as a bug"
log "please ensure you're using the latest available version of"
log " this reflash script"
log " the xburst-tools"
exit 1
}
[ "$(whoami)" == "root" ] || abort "this script must be run as root"
log "working dir: ${WORKING_DIR}"
log "chosen method: ${PROTOCOL}"
test ${VERSION} && log "chosen version: ${VERSION}"
log "==="
if [ "$PROTOCOL" == "http" ]; then
MD5SUMS_SERVER=$(wget -O - ${BASE_URL_HTTP}/${VERSION}/md5sums 2> /dev/null | grep -E "(${LOADER}|${KERNEL}|${ROOTFS})" | sort)
[ "${MD5SUMS_SERVER}" ] || abort "can't fetch files from server"
MD5SUMS_LOCAL=$( (cd "${WORKING_DIR}" ; md5sum --binary "${LOADER}" "${KERNEL}" "${ROOTFS}" 2> /dev/null) | sort )
if [ "${MD5SUMS_SERVER}" == "${MD5SUMS_LOCAL}" ]; then
log "present files are identical to the ones on the server - do not download them again"
else
rm -f "${WORKING_DIR}/${LOADER}" "${WORKING_DIR}/${KERNEL}" "${WORKING_DIR}/${ROOTFS}"
if [ "$B" == "TRUE" ]; then
log "fetching bootloader..."
wget \
-a "${LOG_FILE}" \
-P "${WORKING_DIR}" \
"${BASE_URL_HTTP}/${VERSION}/${LOADER}"
fi
if [ "$K" == "TRUE" ]; then
log "fetching kernel..."
wget \
-a "${LOG_FILE}" \
-P "${WORKING_DIR}" \
"${BASE_URL_HTTP}/${VERSION}/${KERNEL}"
fi
if [ "$R" == "TRUE" ]; then
log "fetching rootfs..."
wget \
-a "${LOG_FILE}" \
-P "${WORKING_DIR}" \
"${BASE_URL_HTTP}/${VERSION}/${ROOTFS}"
fi
fi
fi
log "booting device..."
usbboot -c "boot" >> "${LOG_FILE}" || abort "can't boot device - xburst-tools setup correctly? device in boot-mode? device connected?"
if [ "$B" == "TRUE" ]; then
log "flashing bootloader..."
tmp=$(usbboot -c "nprog 0 ${WORKING_DIR}/${LOADER} 0 0 -n" 3>> "${LOG_FILE}" 2>&1 >&3)
test "${tmp}" && abort "error while flashing bootloader:\n${tmp}"
fi
if [ "$K" == "TRUE" ]; then
log "flashing kernel..."
tmp=$(usbboot -c "nprog 1024 ${WORKING_DIR}/${KERNEL} 0 0 -n" 3>> "${LOG_FILE}" 2>&1 >&3)
test "${tmp}" && abort "error while flashing kernel:\n${tmp}"
fi
if [ "$R" == "TRUE" ]; then
log "erase nand rootfs partition..."
usbboot -c "boot;nerase 16 512 0 0" >> "${LOG_FILE}" 2>&1
log "flashing rootfs..."
tmp=$(usbboot -c "nprog 2048 ${WORKING_DIR}/${ROOTFS} 0 0 -n" 3>> "${LOG_FILE}" 2>&1 >&3)
test "${tmp}" && abort "error while flashing rootfs:\n${tmp}"
fi
log "done"